name: MRP Full Stack CI
on: [push]

jobs:
  validate-and-build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v3
        with:
          fetch-depth:1

      - name: Test Backend
        run: |
          cd backend
          go test ./... -v

      - name: Build Full Stack
        run: |
          docker compose build
